classification
Title: Missing docs for typing.Set
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, ezio.melotti, gvanrossum, joegotflow83, python-dev
Priority: normal Keywords: easy

Created on 2016-02-09 20:48 by gvanrossum, last changed 2016-04-29 11:42 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
26322 joegotflow83, 2016-03-10 00:21 review
Messages (4)
msg259954 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-02-09 20:48
The typing docs don't seem to mention Set (which is a bit of an anomaly, since it corresponds to builtins.set, not to collections.abc.Set -- the latter is typing.AbstractSet). Also, AbstractSet is mentioned twice. (And the second occurrence somehow doesn't have a "paragraph" link.)

All this should be easy to fix.
msg261482 - (view) Author: Joseph Moran (joegotflow83) * Date: 2016-03-10 00:21
Deleted second ABSTRACTSET and added SET in typing docs
msg264489 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-04-29 11:41
New changeset 6cd8cd14f648 by Berker Peksag in branch '3.5':
Issue #26322: Document typing.Set, patch by Joseph Moran
https://hg.python.org/cpython/rev/6cd8cd14f648

New changeset d263dcfd9bb6 by Berker Peksag in branch 'default':
Issue #26322: Document typing.Set, patch by Joseph Moran
https://hg.python.org/cpython/rev/d263dcfd9bb6
msg264490 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-04-29 11:42
Thanks, Joseph!
History
Date User Action Args
2016-04-29 11:42:18berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg264490

resolution: fixed
stage: needs patch -> resolved
2016-04-29 11:41:47python-devsetnosy: + python-dev
messages: + msg264489
2016-03-10 00:21:05joegotflow83setfiles: + 26322
nosy: + joegotflow83
messages: + msg261482

2016-02-09 21:12:15ezio.melottisetnosy: + ezio.melotti

type: enhancement
stage: needs patch
2016-02-09 20:48:20gvanrossumcreate